Package com.google.android.exoplayer2.ext.mediasession

## Interface TimelineQueueEditor.MediaDescriptionConverter

- Enclosing class:
    TimelineQueueEditor

      public static interface TimelineQueueEditor.MediaDescriptionConverter

  Converts a `MediaDescriptionCompat` to a `MediaItem`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaItem` | `convert​(android.support.v4.media.MediaDescriptionCompat description)` | Returns a `MediaItem` for the given `MediaDescriptionCompat` or null if the description can't be converted.

- - ### Method Detail

    - #### convert

          @Nullable
          MediaItem convert​(android.support.v4.media.MediaDescriptionCompat description)

      Returns a `MediaItem` for the given `MediaDescriptionCompat` or null if the description can't be converted.

      If not null, the media item that is returned will be used to call `Player.addMediaItem(MediaItem)`.